import { ReactNode } from "react";
import { Sidebar } from "@/components/layout/Sidebar";
import { Navbar } from "@/components/layout/Navbar";
import { TooltipProvider } from "@radix-ui/react-tooltip";

interface DashboardLayoutProps {
  children: ReactNode;
}

export default function DashboardLayout({ children }: DashboardLayoutProps) {
  return (
    <div className="min-h-screen flex">
      <Sidebar />
      <div className="flex-1 lg:ml-64">
        <Navbar />
        <TooltipProvider>
        <main className="p-4 lg:p-6">{children}</main>
        </TooltipProvider>
      </div>
    </div>
  );
}